# WallSign (Scissors-API 1.19.3-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.block.data.type, interface: WallSign

Package org.bukkit.block.data.type

# Interface WallSign

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`, `Waterlogged`

public interface WallSign extends Directional, Waterlogged

## Method Summary

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`